Package com.smartgwt.client.types

# Enum FieldNamingStrategy

java.lang.Object
java.lang.Enum<FieldNamingStrategy>
com.smartgwt.client.types.FieldNamingStrategy

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<FieldNamingStrategy>`, `Constable`

public enum FieldNamingStrategy extends Enum<FieldNamingStrategy> implements ValueEnum
The strategy to use when generating field names - for example, for new formula or summary fields created using the built-in editors.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SIMPLE`
  generate names in the format fieldTypeX, where field type might be "formulaField" and X is an index specific to the field-type and component instance
  `UUID`
  generates a UUID for all generated field names

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static FieldNamingStrategy`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FieldNamingStrategy[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SIMPLE

    public static final FieldNamingStrategy SIMPLE
    generate names in the format fieldTypeX, where field type might be "formulaField" and X is an index specific to the field-type and component instance

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "simple".

  - ### UUID

    public static final FieldNamingStrategy UUID
    generates a UUID for all generated field names

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "uuid".

- ## Method Details

  - ### values

    public static FieldNamingStrategy[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FieldNamingStrategy valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`